EaserixDocs
DevelopersAPI referenceNotesPages

Create a page

View as Markdown
POST
/v1/pages
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/pages" \  -H "Content-Type: application/json" \  -d '{    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"  }'
{  "page": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",    "title": "string",    "icon": "string",    "position": 0,    "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",    "created": "2019-08-24T14:15:22Z",    "updated": "2019-08-24T14:15:22Z",    "archivedAt": "2019-08-24T14:15:22Z"  }}